Table of Contents

Class: Request | Twisted-0.17.4/twisted/python/roots.py
--- | ---

### I am an abstract representation of a request for an entity.

I also function as the response. The request is responded to by calling self.write(data) until there is no data left and then calling self.finish().

Methods |
--- | ---
finish write
| finish

    finish ( self )

The response to this request is finished; flush all data to the network stream.

Exceptions |
--- | ---
NotImplementedError("%s.finish" % str( self.__class__ ) )

| write

    write ( self,  data )

Add some data to the response to this request.

Exceptions |
--- | ---
NotImplementedError("%s.write" % str( self.__class__ ) )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0